Summary:       YAML 1.1 parser and emitter written in C
Name:          libyaml
Version:       0.2.5
Release:       4%{?dist}
License:       MIT
URL:           https://github.com/yaml/libyaml
Source0:       https://github.com/yaml/libyaml/releases/download/%{version}/yaml-%{version}.tar.gz
BuildRequires: autoconf, make, automake, gcc, libtool

%description
A C library for parsing and emitting YAML.

%package       devel
Summary:       Development files for LibYAML applications
Requires:      libyaml = %{version}-%{release}, pkgconfig

%description   devel
This package provides libraries and header files for
developers of applications using LibYAML.

%prep
%setup -q -n yaml-%{version}

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.{la,a}

soname=$(readelf -d %{buildroot}%{_libdir}/libyaml.so | awk '$2 == "(SONAME)" {print $NF}' | tr -d '[]')
rm -f %{buildroot}%{_libdir}/libyaml.so
echo "INPUT($soname)" > %{buildroot}%{_libdir}/libyaml.so

%check
make check

%files
%license License
%doc ReadMe.md
%{_libdir}/%{name}*.so.*


%files devel
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/yaml-0.1.pc
%{_includedir}/yaml.h


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.5-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 5 2022 cunshunxia <cunshunxia@tencent.com> - 0.2.5-1
- initial build
